$schema: "http://json-schema.org/draft-06/schema#"

title: compute v1 AccessConfig export schema
description: A gcloud export/import command YAML validation schema.
type: object
additionalProperties: false
properties:
  COMMENT:
    type: object
    description: User specified info ignored by gcloud import.
    additionalProperties: false
    properties:
      template-id:
        type: string
      region:
        type: string
      description:
        type: string
      date:
        type: string
      version:
        type: string
  UNKNOWN:
    type: array
    description: Unknown API fields that cannot be imported.
    items:
      type: string
  externalIpv6:
    description: |-
      [Output Only] The first IPv6 address of the external IPv6 range associated
      with this instance, prefix length is stored in externalIpv6PrefixLength in
      ipv6AccessConfig. The field is output only, an IPv6 address from a
      subnetwork associated with the instance will be allocated dynamically.
    type: string
  externalIpv6PrefixLength:
    description: '[Output Only] The prefix length of the external IPv6 range.'
    type: integer
  kind:
    description: |-
      [Output Only] Type of the resource. Always compute#accessConfig for access
      configs.
    type: string
  name:
    description: |-
      The name of this access configuration. The default and recommended name is
      External NAT, but you can use any arbitrary string, such as My external IP
      or Network Access.
    type: string
  natIP:
    description: |-
      An external IP address associated with this instance. Specify an unused
      static external IP address available to the project or leave this field
      undefined to use an IP from a shared ephemeral IP address pool. If you
      specify a static external IP address, it must live in the same region as
      the zone of the instance.
    type: string
  networkTier:
    description: |-
      This signifies the networking tier used for configuring this access
      configuration and can only take the following values: PREMIUM, STANDARD.
      If an AccessConfig is specified without a valid external IP address, an
      ephemeral IP will be created with this networkTier. If an AccessConfig
      with a valid external IP address is specified, it must match that of the
      networkTier associated with the Address resource owning that IP.
    type: string
    enum:
    - FIXED_STANDARD
    - PREMIUM
    - STANDARD
    - STANDARD_OVERRIDES_FIXED_STANDARD
  publicPtrDomainName:
    description: |-
      The DNS domain name for the public PTR record. You can set this field only
      if the `setPublicPtr` field is enabled in accessConfig. If this field is
      unspecified in ipv6AccessConfig, a default PTR record will be createc for
      first IP in associated external IPv6 range.
    type: string
  setPublicPtr:
    description: |-
      Specifies whether a public DNS 'PTR' record should be created to map the
      external IP address of the instance to a DNS domain name. This field is
      not used in ipv6AccessConfig. A default PTR record will be created if the
      VM has external IPv6 range associated.
    type: boolean
  type:
    description: |-
      The type of configuration. The default and only option is ONE_TO_ONE_NAT.
    type: string
    enum:
    - DIRECT_IPV6
    - ONE_TO_ONE_NAT
